#!/bin/sh

# All Rights Reserved.
# Copyright (C) 2006,2010, Hitachi, Ltd.

############################################################
# Answer check subroutine
chk_YesNo()
{
    while [ 1 ]
    do
        echo -n "(y|n[n]) : "
        read ANS
        case $ANS in
          Y|y)
            return 0
            ;;
          N|n|*)
            return 1
            ;;
        esac
    done
}

############################################################
# Main function

PRODUCT_NAME=MiACAT

echo "--------------------------------------------------------------"
echo " ${PRODUCT_NAME} Uninstaller."
echo "   All Rights Reserved. Copyright (C) 2006,2010, Hitachi, Ltd."
echo "--------------------------------------------------------------"

if [ `whoami` != "root" ]
then
    echo ""
    echo "Failed."
    echo "You are not root user."
    echo "Uninstallation was canceled."
    echo ""
    exit 1
fi

INST_DIR="/opt/H_Densa/SMAL2"
VAR_DIR="/var/H_Densa/SMAL2"
RC_FILE=smal2d
RC_FILE_TO=/etc/rc.d/init.d/${RC_FILE}

if [ -d ${INST_DIR} ]
then
    # Uninstall function
    echo "Do you uninstall '${PRODUCT_NAME}' ?"
    if ! chk_YesNo
    then
        echo "Uninstallation was canceled."
        exit 1
    fi
    if [ -f ${RC_FILE_TO} ]
    then
        ${RC_FILE_TO} stop > /dev/null
        chkconfig --del ${RC_FILE}
        rm -f  ${RC_FILE_TO}
    fi
    rm -rf ${INST_DIR}/MainteData
    rm -rf ${INST_DIR}/MainteTool
    rm -rf ${INST_DIR}/Program
    rm -rf ${VAR_DIR}
    
    grep -q "/opt/H_Densa/SMAL2/Program/SyslogPipe" /etc/syslog.conf 2> /dev/null
    if [ $? -eq 0 ]
    then
        echo -e "/^# \[MIACAT\]/\nd\nw\nq\n" | ed /etc/syslog.conf 2> /dev/null > /dev/null
        echo -e "/\/opt\/H_Densa\/SMAL2\/Program\/SyslogPipe/\nd\nw\nq\n" | ed /etc/syslog.conf 2> /dev/null > /dev/null
    fi
    
    echo ""
    echo "Uninstallation was completed."
    echo ""
else
    echo ""
    echo "${PRODUCT_NAME} is not installed."
    echo ""
fi

exit 0
